HOSTNAME(1)

NOME
hostname - mostra ou configura o nome da máquina domainname - mostra ou configura o nome do domínio NIS/YP dnsdomainname - mostra o nome do domínio DNS nisdomainname - mostra ou configura o nome do domínio NIS/YP ypdomainname - mostra ou configura o nome do domínio NIS/YP

SINOPSE
hostname [-v] [-a] [--alias] [-d] [--domain] [-f] [--fqdn] [-i] [--ip-address] [--long] [-s] [--short] [-y] [--yp] [--nis]

hostname [-v] [-F arquivo] [--file arquivo] [máquina]

domainname [-v] [-F filename] [--file nome_arquivo] [nome]

hostname [-v] [-h] [--help] [-V] [--version]

dnsdomainname [-v]

nisdomainname [-v]

ypdomainname [-v]

DESCRIÇÃO
hostname é o programa usado para configurar ou mostrar o nome corrente da máquina ou o domínio do sistema. Este nome é usado por muitos dos programas de rede para identificar a máquina. O nome do domínio também é usado pelo NIS/YP.

  OBTER NOME
Quando chamado sem argumentos o programa mostra os nomes correntes:

hostname mostrará o nome do sistema conforme retornado pela função gethostname(2).

domainname, nisdomainname, ypdomainname mostrará o nome do sistema conforme retornado pela função getdomainname(2). Isto também é conhecido como o nome de domínio YP/NIS do sistema.

dnsdomainname mostrara a parte do domínio do FQDN (Nome de domínio completamente qualificado). O FQDN do sistema é retornado pelo comando hostname --fqdn.

  CONFIGURAR NOME
Quando chamado com um argumento ou com a opção --file , o comando configura o nome da máquina ou do domínio NIS/YP.

Note que somente o super usuário pode mudar os nomes.

Nao é possível configurar o FQDN ou o nome do domínio DNS com o comando dnsdomainname (veja O FQDN abaixo).

O nome da máquina é normalmente configurado durante a inicialização do sistema, em /etc/rc.d/rc.inet1 ou /etc/init.d/boot (normalmente lendo o conteúdo de um arquivo que contém o nome da máquina, ex.: /etc/hostname).

  O FQDN
Você não pode mudar o FQDN (conforme retornado por hostname --fqdn) ou o nome do domínio DNS (conforme retornado por dnsdomainname) com este comando. O FQDN do sistema é o nome que o resolver(3) retorna para o nome da máquina.

Tecnicamente: O FQDN é o nome retornado pelo gethostbyname(2) para o nome retornado pelo gethostname(2). O nome do domínio DNS é a parte após o primeiro ponto.

Portanto isto depende da configuração (normalmente em /etc/host.conf) para que você possa mudá-lo. Normalmente (se o arquivo hosts for lido antes do DNS ou NIS) você pode mudá-lo em /etc/hosts.

OPÇÕES

-a, --alias
    Mostra o alias da máquina (se usado).

-d, --domain
    Mostra o nome do domínio DNS. Não use o comando domainname para obter o nome do domínio DNS porque ele mostrará o nome do domínio NIS e não o nome do domínio DNS. Use dnsdomainname.

-F, --file arquivo
    Leia o nome da máquina a partir do arquivo especificado. Comentários (linhas começando com um `#') são ignorados.

-f, --fqdn, --long
    Mostra o FQDN (Nome de Domínio Completamente Qualificado). Um FQDN consiste de um nome curto de máquina e do nome do domínio DNS. A menos que você esteja usando bind ou NIS para resolução de nomes você pode mudar o FQDN e o nome do domínio DNS (que é parte do FQDN) no arquivo /etc/hosts.

-h, --help
    Mostra uma mensagem sobre como utilizar o comando e termina.

-i, --ip-address
    Mostra o(s) endereço(s) IP da máquina.

-s, --short
    Mostra o nome curto da máquina. É o nome da máquina até o primeiro ponto.

-V, --version
    Mostra informação de versão na saída padrão e termina com sucesso.

-v, --verbose
    Mostra uma saída detalhada do que está acontecendo.

-y, --yp, --nis
    Mostra o nome do domínio NIS. Se um parâmetro for especificado (ou --file arquivo ) então o root também pode configurar um novo domínio NIS.

ARQUIVOS
/etc/hosts

AUTOR
Peter Tobias, <tobias@et-inf.fho-emden.de> Bernd Eckenfels, <net-tools@lina.inka.de> (NIS e página man). Arnaldo Carvalho de Melo, <acme@conectiva.com.br> Tradução para a língua portuguesa. Jorge Luiz Godoy Filho, <jorge@bestway.com.br> Revisão.